Skip to Content
APIsLiquidity

Liquidity

Get liquidity returns the total liquidity for a crypto pair on an exchange.

Get Liquidity

GEThttps://api.adesic.com/v2/analytics/liquidity/{exchange}/{market}

Returns an object containing the total liquidity for a crypto pair on an exchange.

Path Parameters

NameTypeDescription
exchange*stringUnique exchange identifier used by Adesic.
market*stringUnique Crypto Pair identifier used by the exchange.

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
response.json
{ "exchange": "coinbasepro", "market": "BTC-USD", "nonce": 5640375978, "liquidity": 37224813.18828725 }

Copy & Paste Code

curl
curl -H "api-key: API KEY" https://api.adesic.com/v2/analytics/liquidity/coinbasepro/btc-usd

Response Object

Example URL: https://api.adesic.com/v2/analytics/liquidity/coinbasepro/btc-usd 

response.json
{ "exchange": "coinbasepro", "market": "BTC-USD", "nonce": 5640375978, "liquidity": 37224813.18828725 }

Response Attributes

Attribute NameData TypeDescription
exchangestringThe exchange id.
marketstringThe crypto pair.
nonceintegerThe serial unique identifier of the order book on the exchange.
liquidityfloatThe total liquidity for a crypto market pair.

© Adesic LLC. All Rights Reserved